from setuptools import setup, find_packages

setup(
        name = 'amqpservices',
        version = '0.5.2',
        packages = find_packages(),
        install_requires = ['amqplib'],

        author = 'Artur Siekielski',
        author_email = 'artur.siekielski@vhex.net',
        description = 'Lightweight AMQP services',
        long_description = '''
``amqpservices`` is a lightweight framework for implementing services utilizing an AMQP broker (RabbitMQ being the most popular one).
Services use either "Remote Procedure Call" or "fire and forget" communication style.

See full documentation at `<http://amqpservices.readthedocs.org/>`_.
        ''',
        license = 'BSD',
        keywords = 'amqp amqplib rabbitmq services soa rpc',
        url = 'http://amqpservices.readthedocs.org',
        )
